#ifndef DATA_VEHICHLESPEED_H
#define DATA_VEHICHLESPEED_H


#include "TYW_stdint.h"

/*对频率计算车速做平均的个数*/
#define VehFreNum 3u

extern void Speed_KL30_Init(void);
extern void Speed_KL15_ON_Init(void);
extern void Speed_KL15_OFF_Init(void);
extern void Speed_Wakeup_Init(void);
extern void Speed_Sleep_Init(void);
extern void Speed_Processing_Service(void);

extern void Set_Speed_PPK(uint32_t PPK);
extern void Set_Speed_Ratio(uint32_t Ratio);
extern uint32_t Get_Speed_PPK(void) ;

extern uint16_t Speed_Get_ActualValue(void);
extern uint16_t Speed_Get_Display_Value(void);
extern uint8_t Speed_Get_Valid(void);
extern uint8_t Speed_Get_CurSeg(void);
extern void Data_Acc_Speed_Processing(void);
extern void Data_GsLYbL_Speed_Processing(void);

#endif
